#!/bin/bash

docker_run() {
	xhost +local:docker
	docker run -it --rm \
		-u "${UID}:${GID}" \
		-v $HOME/Projects:/home/x/Projects   \
		-v ${HOME}/.Xauthority:/home/x/.Xauthority \
		-v /tmp/.X11-unix:/tmp/.X11-unix \
		-e DISPLAY=${DISPLAY} \
		--device /dev/dri \
		--group-add video \
		-v /var/run/docker.sock:/var/run/docker.sock \
		--entrypoint /usr/bin/tmux \
		d:${1}
}

docker_build() {
	docker build ./${1} -t d:${1}
}


case "$1" in
	*)
		docker_build $1 && docker_run $1
		;;
esac
